function varargout = labjack_DIO_GUI(varargin)

clc ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global u3  LJ_ioPUT_DIGITAL_BIT;
ljud_LoadDriver;
ljud_Constants;


[ ~, u3] = ljud_OpenLabJack( LJ_dtU3, LJ_ctUSB, '1', 1 );

% configure i/o   as digital i/o
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 4, 0, 0 );
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 5, 0, 0 );
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 6, 0, 0 );
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 7, 0, 0 );
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 8, 0, 0 );
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 9, 0, 0 );
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 10, 0, 0 );
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 11, 0, 0 );
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 12, 0, 0 );
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 13, 0, 0 );
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 14, 0, 0 );
ljud_ePut( u3, LJ_ioPUT_ANALOG_ENABLE_BIT, 15, 0, 0 );

pause(1);

% %Set all digial outputs to HIGH  state
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,0,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,1,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,2,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,3,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,4,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,5,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,6,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,7,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,8,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,9,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,10,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,11,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,12,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,13,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,14,1, 0);
% ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,15,1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%      LABJACK_DIO_GUI, by itself, creates a new LABJACK_DIO_GUI or raises the existing
%      singleton*.
%
%      H = LABJACK_DIO_GUI returns the handle to a new LABJACK_DIO_GUI or the handle to
%      the existing singleton*.
%
%      LABJACK_DIO_GUI('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in LABJACK_DIO_GUI.M with the given input arguments.
%
%      LABJACK_DIO_GUI('Property','Value',...) creates a new LABJACK_DIO_GUI or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before labjack_DIO_GUI_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to labjack_DIO_GUI_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help labjack_DIO_GUI

% Last Modified by GUIDE v2.5 13-Aug-2011 18:23:14

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @labjack_DIO_GUI_OpeningFcn, ...
                   'gui_OutputFcn',  @labjack_DIO_GUI_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes just before labjack_DIO_GUI is made visible.
function labjack_DIO_GUI_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to labjack_DIO_GUI (see VARARGIN)

% Choose default command line output for labjack_DIO_GUI
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes labjack_DIO_GUI wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = labjack_DIO_GUI_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton1.
function pushbutton1_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO FIO4 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 4, 0, 0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton2.
function pushbutton2_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO FIO4 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 4, 1, 0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton3.
function pushbutton3_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO FIO5 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 5, 0, 0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press in pushbutton4.
function pushbutton4_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO FIO5 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 5, 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton5.
function pushbutton5_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO FIO6 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 6, 0, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press in pushbutton6.
function pushbutton6_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO FIO6 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 6, 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press in pushbutton7.
function pushbutton7_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO FIO7 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 7, 0, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press in pushbutton8.
function pushbutton8_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO FIO7 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 7, 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press in pushbutton9.
function pushbutton9_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO0 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 8, 0, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton10.
function pushbutton10_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO0 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 8, 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% --- Executes on button press in pushbutton11.
function pushbutton11_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO1 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 9, 0, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press in pushbutton12.
function pushbutton12_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO1 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 9, 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press in pushbutton13.
function pushbutton13_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO2 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 10 , 0, 0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton14.
function pushbutton14_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton14 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO2 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 10 , 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton15.
function pushbutton15_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton15 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO3 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 11 , 0, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton16.
function pushbutton16_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton16 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO3 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 11 , 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton17.
function pushbutton17_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton17 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO4 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 12 , 0, 0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton18.
function pushbutton18_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton18 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO4 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 12 , 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton19.
function pushbutton19_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton19 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO5 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 13 , 0, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press in pushbutton20.
function pushbutton20_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton20 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO5 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 13 , 1, 0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press in pushbutton21.
function pushbutton21_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton21 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO6 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,14,0,0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton22.
function pushbutton22_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton22 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO6 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,14,1,0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press in pushbutton23.
function pushbutton23_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton23 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO7 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,15,0,0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton24.
function pushbutton24_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton24 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO EIO7 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT,15,1,0);

% --- Executes on button press in pushbutton25.
function pushbutton25_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO     FIO0 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 0 , 0, 0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton26.
function pushbutton26_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton26 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO     FIO0 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 0 , 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton27.
function pushbutton27_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton27 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO     FIO1 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 1, 0, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton28.
function pushbutton28_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton28 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO     FIO1 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 1, 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton29.
function pushbutton29_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton29 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO     FIO2 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 2, 0, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton30.
function pushbutton30_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton30 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO     FIO2 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 2, 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton31.
function pushbutton31_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton31 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO     FIO3 TO LOW
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 3, 0, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Executes on button press in pushbutton32.
function pushbutton32_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton32 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global u3 LJ_ioPUT_DIGITAL_BIT
%SET DIGITAL IO     FIO3 TO HIGH
ljud_ePut( u3, LJ_ioPUT_DIGITAL_BIT, 3, 1, 0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
